CamelLocalFolder
3
CAMEL Library

# CamelLocalFolder

## Synopsis

                        CamelLocalFolder;
    CamelLocalFolder*   camel_local_folder_construct        (CamelLocalFolder *lf,
                                                             CamelStore *parent_store,
                                                             const char *full_name,
                                                             guint32 flags,
                                                             CamelException *ex);
    int                 camel_local_folder_lock             (CamelLocalFolder *lf,
                                                             CamelLockType type,
                                                             CamelException *ex);
    int                 camel_local_folder_unlock           (CamelLocalFolder *lf);

## Description

## Details

### CamelLocalFolder

    typedef struct {
    	CamelFolder parent_object;
    	struct _CamelLocalFolderPrivate *priv;

    	guint32 flags;		/* open mode flags */

    	int locked;		/* lock counter */
    	CamelLockType locktype;	/* what type of lock we have */

    	char *base_path;	/* base path of the local folder */
    	char *folder_path;	/* the path to the folder itself */
    	char *summary_path;	/* where the summary lives */
    	char *index_path;	/* where the index file lives */

    	CamelIndex *index;	   /* index for this folder */
    	CamelFolderSearch *search; /* used to run searches, we just use the real thing (tm) */
    	CamelFolderChangeInfo *changes;	/* used to store changes to the folder during processing */
    } CamelLocalFolder;

### camel_local_folder_construct ()

    CamelLocalFolder*   camel_local_folder_construct        (CamelLocalFolder *lf,
                                                             CamelStore *parent_store,
                                                             const char *full_name,
                                                             guint32 flags,
                                                             CamelException *ex);

`lf` :

`parent_store` :

`full_name` :

`flags` :

`ex` :

Returns :

### camel_local_folder_lock ()

    int                 camel_local_folder_lock             (CamelLocalFolder *lf,
                                                             CamelLockType type,
                                                             CamelException *ex);

`lf` :

`type` :

`ex` :

Returns :

### camel_local_folder_unlock ()

    int                 camel_local_folder_unlock           (CamelLocalFolder *lf);

`lf` :

Returns :